﻿import event.*;
import util.*;

/**
 * An event object describing a Randomzier event.
 */
class util.RandomizerEvent extends EventObject {
  // The number of milliseconds since the last event was broadcast.
  private var timeSinceLast:Number;

  /**
   * Constructor
   *
   * @param   src   The event source (a Randomizer instance).
   * @param   timeSinceLast   The number of milliseconds since the last event.
   */
  public function RandomizerEvent (src:Randomizer, timeSinceLast:Number) {
    // Always pass event source to superclass constructor!
    super(src);

    // Record the time since the last event.
    this.timeSinceLast = timeSinceLast;
  }

  /**
   * Returns the time since the last event.
   */
  public function getTimeSinceLast ():Number {
    return timeSinceLast;
  }
}